package org.kne.cloud.network.klalb.ui;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JTabbedPane;

public class ClosableTabbedPane extends JTabbedPane {
	public ClosableTabbedPane() {
		super();
		// TODO 自动生成的构造函数存根
	}

	public ClosableTabbedPane(int tabPlacement, int tabLayoutPolicy) {
		super(tabPlacement, tabLayoutPolicy);
		// TODO 自动生成的构造函数存根
	}

	public ClosableTabbedPane(int tabPlacement) {
		super(tabPlacement);
		// TODO 自动生成的构造函数存根
	}

	public void addTab(String title,Icon icon,Component comp,String tip,boolean closable) {
		UIUtils.addTab(this, title, icon,comp, tip,closable);
	}
}
